Subject: Re: cat /proc/net/tcp takes 0.5 seconds on x86_64

From: Andi Kleen <[email-masked]>
Date: Thu, 28 Aug 2008 00:57:25 +0200

David Miller <[email-masked]> writes:

> From: Andi Kleen <[email-masked]>
> Date: Thu, 28 Aug 2008 00:34:10 +0200
>
>> It fixes an old performance problem at least. I'm not aware 
>> of any new ones in this area because the code in this 
>> function hasn't changed since I last looked.
>
> That's exactly what this thread is about, things got slower for
> some reason even though nothing specifically changed in this area.

I reread the original bug and it says nothing about a regression
(unless I'm blind). I think the reporter just ran into the slowness that
was pretty much always there[1] (and which my patch improves)

-Andi

[1] ok it got more noticeable over time because people 
have more memory than they used to have, which made
the hash table bigger.

-- 
[email-masked]